Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Bump version to 2.0.0.20121011

Signed-off-by: David Celis <david@davidcelis.com>
  • Loading branch information...
commit 43bfa3aa38657512ee66e3ab9e5582d50fb88970 1 parent bbc2c65
@davidcelis authored
Showing with 9 additions and 3 deletions.
  1. +8 −2 CHANGELOG.md
  2. +1 −1  lib/recommendable/version.rb
View
10 CHANGELOG.md
@@ -1,8 +1,14 @@
Changelog
=========
-2.0.0 (Current version)
------------------------
+2.0.0.20121011 (Current version)
+--------------------------------
+ * Fix a bug where rated items would show up in recommended sets
+ * Fix support for versions of Redis < 2.4. Redis 1.x is untested.
+ * Fix a bug where workers would not queue up jobs.
+
+2.0.0
+-----
**IMPORTANT**: This is a MAJOR version bump that should greatly improve the performance of Recommendable. Most of the library has been rewritten from the ground up and, as such, there are steps you must take to make your application compatibile with this version.
1. Flush your Redis database. Yes, you'll have to regenerate any recommendations at the end. Sorry.
View
2  lib/recommendable/version.rb
@@ -2,7 +2,7 @@ module Recommendable
MAJOR = 2
MINOR = 0
PATCH = 0
- PRE = nil
+ PRE = 20121011
VERSION = [MAJOR, MINOR, PATCH, PRE].compact.join '.'
end
Please sign in to comment.
Something went wrong with that request. Please try again.